package ajcon.UI;
import org.jdesktop.application.SingleFrameApplication;


public class ApplicationManager extends SingleFrameApplication{
    @Override protected void startup() {
        MainWindow mw = new MainWindow();
        mw.setVisible(true);
        
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override protected void configureWindow(java.awt.Window root) {
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of DesktopApplication1
     */
    public static ApplicationManager getApplication() {
        return ApplicationManager.getInstance(ApplicationManager.class);
    }

    /**
     * Main method launching the application.
     */
    
    public static void main(String[] args){
        launch(ApplicationManager.class, args);

    }
}